### Method

# Gtk Dialog add_button

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_dialog_add_button (
      GtkDialog* dialog,
      const char* button_text,
      int response_id
    )

#### Description [src]

Adds a button with the given text.

GTK arranges things so that clicking the button will emit the `GtkDialog::response` signal with the given `response_id`. The button is appended to the end of the dialog’s action area. The button widget is returned, but usually you don’t need it.

Deprecated since: 4.10

Use `GtkWindow` instead.

#### Parameters

`button_text`

  Type: `const char*`

  Text of button.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`response_id`

  Type: `int`

  Response ID for the button.

#### Return value

Type: `GtkWidget`

The `GtkButton` widget that was added.

The returned data is owned by the instance.